Bug 1583744 - openvswitch-2.9.0-19.el7fdp installs /var/log/openvswitch with permissions 0755 [openstack-13]
Summary: openvswitch-2.9.0-19.el7fdp installs /var/log/openvswitch with permissions 07...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 13.0 (Queens)
Assignee: Timothy Redaelli
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 15:15 UTC by Steve Linabery
Modified: 2018-06-27 13:58 UTC (History)
14 users (show)

Fixed In Version: openvswitch-2.9.0-19.el7fdp.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1583749 1583750 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:57:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:58:54 UTC

Description Steve Linabery 2018-05-29 15:15:51 UTC
line 451 of the spec has:
install -d -m 0750 $RPM_BUILD_ROOT%{_localstatedir}/log/openvswitch

but then at line 801 we have:
%attr(755,-,-) /var/log/openvswitch

PST nacks having 0755 on this log file.

Comment 18 Toni Freger 2018-06-11 15:03:58 UTC
Tested with fresh installation of latest puddle openvswitch-2.9.0-19.el7fdp.1.x86_64.
Permissions are 750 as supposed to be. 

[heat-admin@controller-0 ~]$  ls -ld /var/log/openvswitch
drwxr-x---. 2 openvswitch openvswitch 4096 Jun 11 03:48 /var/log/openvswitch

[heat-admin@compute-0 ~]$  ls -ld /var/log/openvswitch
drwxr-x---. 2 openvswitch openvswitch 4096 Jun 11 03:45 /var/log/openvswitch

Comment 20 errata-xmlrpc 2018-06-27 13:57:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.